Question

new user: dokku on ubuntu image

Posted January 31, 2014 4.8k views
Hey there - brand new user, trying to get dokku working properly and following your own tutorials specifically the rails on dokku one. I'm having problems getting the postgresql create to happen - installed the plugin etc; but when I attempt a create: dokku postgresql:create skilldate Your docker version is too old, please update it So I did an apt-get update which ran throw a number of raring packages and docker.io etc but when I attempted again - I got the same 'docker too old' message...?

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

4 answers
@grimm: Try running
sudo apt-get upgrade
after running
sudo apt-get update
Did that - still get Your docker version is too old, please update it.

Totally followed the tutorial step by step;here's the full code traceout:




root@skilldate:~# sudo apt-get update
Hit http://archive.ubuntu.com raring Release.gpg
Hit http://archive.ubuntu.com raring-updates Release.gpg
Hit http://archive.ubuntu.com raring Release
Hit http://get.docker.io docker Release.gpg
Hit http://archive.ubuntu.com raring-updates Release
Hit http://archive.ubuntu.com raring/main amd64 Packages
Hit http://get.docker.io docker Release
Hit http://archive.ubuntu.com raring/universe amd64 Packages
Hit http://archive.ubuntu.com raring/main Translation-en
Hit http://archive.ubuntu.com raring/universe Translation-en
Hit http://get.docker.io docker/main amd64 Packages
Hit http://archive.ubuntu.com raring-updates/main amd64 Packages
Hit http://archive.ubuntu.com raring-updates/universe amd64 Packages
Hit http://archive.ubuntu.com raring-updates/main Translation-en
Hit http://ppa.launchpad.net raring Release.gpg
Hit http://archive.ubuntu.com raring-updates/universe Translation-en
Hit http://security.ubuntu.com raring-security Release.gpg
Hit http://ppa.launchpad.net raring Release
Hit http://security.ubuntu.com raring-security Release
Ign http://archive.ubuntu.com raring/main Translation-en_US
Ign http://archive.ubuntu.com raring/universe Translation-en_US
Hit http://ppa.launchpad.net raring/main amd64 Packages
Ign http://archive.ubuntu.com raring-updates/main Translation-en_US
Ign http://archive.ubuntu.com raring-updates/universe Translation-en_US
Hit http://security.ubuntu.com raring-security/main amd64 Packages
Hit http://security.ubuntu.com raring-security/main Translation-en
Ign http://get.docker.io docker/main Translation-en_US
Ign http://get.docker.io docker/main Translation-en
Ign http://security.ubuntu.com raring-security/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en_US
Ign http://ppa.launchpad.net raring/main Translation-en
Reading package lists... Done
root@skilldate:~# sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
linux-image-virtual lxc-docker
The following packages will be upgraded:
apt apt-transport-https apt-utils apt-xapian-index command-not-found
command-not-found-data curl dbus firefox-locale-en gnupg gpgv ifupdown
initramfs-tools initramfs-tools-bin iproute isc-dhcp-client isc-dhcp-common
language-selector-common libapt-inst1.5 libapt-pkg4.12 libasn1-8-heimdal
libc-bin libcurl3 libcurl3-gnutls libdbus-1-3 libdrm2 libgcrypt11
libgnutls26 libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
libheimntlm0-heimdal libhx509-5-heimdal libisccc90 libjpeg-turbo8
libkrb5-26-heimdal libldap-2.4-2 libplymouth2 libpolkit-gobject-1-0
libprocps0 libpython2.7-minimal libpython2.7-stdlib libpython3.3-minimal
libpython3.3-stdlib libroken18-heimdal libruby1.8 libruby1.9.1 libsasl2-2
libsasl2-modules libssl1.0.0 libudev1 libwind0-heimdal libx11-6 libx11-data
libxcb1 libxext6 libxml2 linux-image-3.8.0-19-generic linux-libc-dev login
lsb-base lsb-release multiarch-support nginx-common nginx-full openssl
passwd plymouth plymouth-theme-ubuntu-text procps python2.7
python2.7-minimal python3-commandnotfound python3-distupgrade
python3-update-manager python3.3 python3.3-minimal rsyslog ruby1.8
ruby1.8-dev ruby1.9.1 tzdata ubuntu-release-upgrader-core unzip
update-manager-core
85 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 48.5 MB of archives.
After this operation, 160 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.ubuntu.com/ubuntu/ raring-updates/main login amd64 1:4.1.5.1-1ubuntu4.1 [328 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ raring-updates/main libapt-pkg4.12 amd64 0.9.7.7ubuntu6 [817 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ raring-updates/main gpgv amd64 1.4.12-7ubuntu1.3 [186 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ raring-updates/main gnupg amd64 1.4.12-7ubuntu1.3 [816 kB]
Get:5 http://ppa.launchpad.net/nginx/stable/ubuntu/ raring/main nginx-common all 1.4.4-4~raring [80.2 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ raring-updates/main apt amd64 0.9.7.7ubuntu6 [1,184 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ raring-updates/main libc-bin amd64 2.17-0ubuntu5.1 [1,190 kB]
Get:8 http://archive.ubuntu.com/ubuntu/ raring-updates/main libapt-inst1.5 amd64 0.9.7.7ubuntu6 [73.2 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ raring-updates/main libssl1.0.0 amd64 1.0.1c-4ubuntu8.2 [1,051 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ raring-updates/main python3.3 amd64 3.3.1-1ubuntu5.2 [118 kB]
Get:11 http://archive.ubuntu.com/ubuntu/ raring-updates/main libpython3.3-stdlib amd64 3.3.1-1ubuntu5.2 [2,678 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ raring-updates/main libpython3.3-minimal amd64 3.3.1-1ubuntu5.2 [583 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ raring-updates/main python3.3-minimal amd64 3.3.1-1ubuntu5.2 [1,473 kB]
Get:14 http://archive.ubuntu.com/ubuntu/ raring-updates/main iproute amd64 20121211-2ubuntu1 [498 kB]
Get:15 http://archive.ubuntu.com/ubuntu/ raring-updates/main lsb-base all 4.0-0ubuntu27.3 [10.4 kB]
Get:16 http://archive.ubuntu.com/ubuntu/ raring-updates/main ifupdown amd64 0.7.5ubuntu2.2 [52.6 kB]
Get:17 http://archive.ubuntu.com/ubuntu/ raring-updates/main libdbus-1-3 amd64 1.6.8-1ubuntu6.1 [151 kB]
Get:18 http://archive.ubuntu.com/ubuntu/ raring-updates/main libdrm2 amd64 2.4.46-1ubuntu0.1 [26.3 kB]
Get:19 http://archive.ubuntu.com/ubuntu/ raring-updates/main libudev1 amd64 198-0ubuntu11.2 [35.5 kB]
Get:20 http://archive.ubuntu.com/ubuntu/ raring-updates/main initramfs-tools all 0.103ubuntu0.8 [48.9 kB]
Get:21 http://ppa.launchpad.net/nginx/stable/ubuntu/ raring/main nginx-full amd64 1.4.4-4~raring [478 kB]
Get:22 http://archive.ubuntu.com/ubuntu/ raring-updates/main initramfs-tools-bin amd64 0.103ubuntu0.8 [9,916 B]
Get:23 http://archive.ubuntu.com/ubuntu/ raring-updates/main plymouth amd64 0.8.8-0ubuntu6.2 [130 kB]
Get:24 http://archive.ubuntu.com/ubuntu/ raring-updates/main libplymouth2 amd64 0.8.8-0ubuntu6.2 [99.8 kB]
Get:25 http://archive.ubuntu.com/ubuntu/ raring-updates/main libprocps0 amd64 1:3.3.3-2ubuntu5.3 [35.7 kB]
Get:26 http://archive.ubuntu.com/ubuntu/ raring-updates/main dbus amd64 1.6.8-1ubuntu6.1 [361 kB]
Get:27 http://archive.ubuntu.com/ubuntu/ raring-updates/main language-selector-common all 0.110.1 [272 kB]
Get:28 http://archive.ubuntu.com/ubuntu/ raring-updates/main libroken18-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [45.7 kB]
Get:29 http://archive.ubuntu.com/ubuntu/ raring-updates/main libasn1-8-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [214 kB]
Get:30 http://archive.ubuntu.com/ubuntu/ raring-updates/main libgcrypt11 amd64 1.5.0-3ubuntu2.2 [279 kB]
Get:31 http://archive.ubuntu.com/ubuntu/ raring-updates/main libgnutls26 amd64 2.12.23-1ubuntu1.1 [461 kB]
Get:32 http://archive.ubuntu.com/ubuntu/ raring-updates/main libhcrypto4-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [102 kB]
Get:33 http://archive.ubuntu.com/ubuntu/ raring-updates/main libheimbase1-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [32.7 kB]
Get:34 http://archive.ubuntu.com/ubuntu/ raring-updates/main libwind0-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [77.7 kB]
Get:35 http://archive.ubuntu.com/ubuntu/ raring-updates/main libhx509-5-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [124 kB]
Get:36 http://archive.ubuntu.com/ubuntu/ raring-updates/main libkrb5-26-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [230 kB]
Get:37 http://archive.ubuntu.com/ubuntu/ raring-updates/main libheimntlm0-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [16.0 kB]
Get:38 http://archive.ubuntu.com/ubuntu/ raring-updates/main libgssapi3-heimdal amd64 1.6~git20120403+dfsg1-2ubuntu0.13.04.1 [108 kB]
Get:39 http://archive.ubuntu.com/ubuntu/ raring-updates/main libsasl2-modules amd64 2.1.25.dfsg1-6ubuntu0.1 [63.1 kB]
Get:40 http://archive.ubuntu.com/ubuntu/ raring-updates/main libsasl2-2 amd64 2.1.25.dfsg1-6ubuntu0.1 [69.4 kB]
Get:41 http://archive.ubuntu.com/ubuntu/ raring-updates/main libldap-2.4-2 amd64 2.4.31-1ubuntu2.1 [186 kB]
Get:42 http://archive.ubuntu.com/ubuntu/ raring-updates/main libcurl3-gnutls amd64 7.29.0-1ubuntu3.4 [234 kB]
Get:43 http://archive.ubuntu.com/ubuntu/ raring-updates/main libpolkit-gobject-1-0 amd64 0.105-1ubuntu1.1 [43.4 kB]
Get:44 http://archive.ubuntu.com/ubuntu/ raring-updates/main libx11-data all 2:1.5.0-1ubuntu1.1 [179 kB]
Get:45 http://archive.ubuntu.com/ubuntu/ raring-updates/main libxcb1 amd64 1.8.1-2ubuntu2.1 [45.0 kB]
Get:46 http://archive.ubuntu.com/ubuntu/ raring-updates/main libx11-6 amd64 2:1.5.0-1ubuntu1.1 [772 kB]
Get:47 http://archive.ubuntu.com/ubuntu/ raring-updates/main libxext6 amd64 2:1.3.1-2ubuntu0.13.04.1 [34.2 kB]
Get:48 http://archive.ubuntu.com/ubuntu/ raring-updates/main libxml2 amd64 2.9.0+dfsg1-4ubuntu4.3 [692 kB]
Get:49 http://archive.ubuntu.com/ubuntu/ raring-updates/main curl amd64 7.29.0-1ubuntu3.4 [149 kB]
Get:50 http://archive.ubuntu.com/ubuntu/ raring-updates/main libcurl3 amd64 7.29.0-1ubuntu3.4 [243 kB]
Get:51 http://archive.ubuntu.com/ubuntu/ raring-updates/main libjpeg-turbo8 amd64 1.2.1-0ubuntu2.13.04.1 [115 kB]
Get:52 http://archive.ubuntu.com/ubuntu/ raring-updates/main linux-image-3.8.0-19-generic amd64 3.8.0-19.30 [12.4 MB]
Get:53 http://archive.ubuntu.com/ubuntu/ raring-updates/main multiarch-support amd64 2.17-0ubuntu5.1 [4,484 B]
Get:54 http://archive.ubuntu.com/ubuntu/ raring-updates/main passwd amd64 1:4.1.5.1-1ubuntu4.1 [1,073 kB]
Get:55 http://archive.ubuntu.com/ubuntu/ raring-updates/main tzdata all 2013g-0ubuntu0.13.04 [478 kB]
Get:56 http://archive.ubuntu.com/ubuntu/ raring-updates/main apt-utils amd64 0.9.7.7ubuntu6 [186 kB]
Get:57 http://archive.ubuntu.com/ubuntu/ raring-updates/main isc-dhcp-client amd64 4.2.4-5ubuntu2.1 [777 kB]
Get:58 http://archive.ubuntu.com/ubuntu/ raring-updates/main isc-dhcp-common amd64 4.2.4-5ubuntu2.1 [836 kB]
Get:59 http://archive.ubuntu.com/ubuntu/ raring-updates/main lsb-release all 4.0-0ubuntu27.3 [10.9 kB]
Get:60 http://archive.ubuntu.com/ubuntu/ raring-updates/main rsyslog amd64 5.8.11-2ubuntu2.2 [434 kB]
Get:61 http://archive.ubuntu.com/ubuntu/ raring-updates/main procps amd64 1:3.3.3-2ubuntu5.3 [228 kB]
Get:62 http://archive.ubuntu.com/ubuntu/ raring-updates/main apt-transport-https amd64 0.9.7.7ubuntu6 [15.9 kB]
Get:63 http://archive.ubuntu.com/ubuntu/ raring-updates/main command-not-found-data amd64 0.3ubuntu7.1 [1,199 kB]
Get:64 http://archive.ubuntu.com/ubuntu/ raring-updates/main python3-commandnotfound all 0.3ubuntu7.1 [5,734 B]
Get:65 http://archive.ubuntu.com/ubuntu/ raring-updates/main command-not-found all 0.3ubuntu7.1 [3,610 B]
Get:66 http://archive.ubuntu.com/ubuntu/ raring-updates/main libisccc90 amd64 1:9.9.2.dfsg.P1-2ubuntu2.2 [18.1 kB]
Get:67 http://archive.ubuntu.com/ubuntu/ raring-updates/main openssl amd64 1.0.1c-4ubuntu8.2 [525 kB]
Get:68 http://archive.ubuntu.com/ubuntu/ raring-updates/main plymouth-theme-ubuntu-text amd64 0.8.8-0ubuntu6.2 [9,202 B]
Get:69 http://archive.ubuntu.com/ubuntu/ raring-updates/main ubuntu-release-upgrader-core all 1:0.192.13 [23.9 kB]
Get:70 http://archive.ubuntu.com/ubuntu/ raring-updates/main python3-distupgrade all 1:0.192.13 [143 kB]
Get:71 http://archive.ubuntu.com/ubuntu/ raring-updates/main python3-update-manager all 1:0.186.2 [33.9 kB]
Get:72 http://archive.ubuntu.com/ubuntu/ raring-updates/main update-manager-core all 1:0.186.2 [5,192 B]
Get:73 http://archive.ubuntu.com/ubuntu/ raring-updates/main apt-xapian-index all 0.45ubuntu2.1 [65.7 kB]
Get:74 http://archive.ubuntu.com/ubuntu/ raring-updates/main firefox-locale-en amd64 26.0+build2-0ubuntu0.13.04.2 [591 kB]
Get:75 http://archive.ubuntu.com/ubuntu/ raring-updates/main python2.7 amd64 2.7.4-2ubuntu3.2 [263 kB]
Get:76 http://archive.ubuntu.com/ubuntu/ raring-updates/main libpython2.7-stdlib amd64 2.7.4-2ubuntu3.2 [2,378 kB]
Get:77 http://archive.ubuntu.com/ubuntu/ raring-updates/main libpython2.7-minimal amd64 2.7.4-2ubuntu3.2 [501 kB]
Get:78 http://archive.ubuntu.com/ubuntu/ raring-updates/main python2.7-minimal amd64 2.7.4-2ubuntu3.2 [1,223 kB]
Get:79 http://archive.ubuntu.com/ubuntu/ raring-updates/main ruby1.8-dev amd64 1.8.7.358-7ubuntu1.2 [631 kB]
Get:80 http://archive.ubuntu.com/ubuntu/ raring-updates/main ruby1.8 amd64 1.8.7.358-7ubuntu1.2 [34.0 kB]
Get:81 http://archive.ubuntu.com/ubuntu/ raring-updates/main libruby1.8 amd64 1.8.7.358-7ubuntu1.2 [1,792 kB]
Get:82 http://archive.ubuntu.com/ubuntu/ raring-updates/main ruby1.9.1 amd64 1.9.3.194-8.1ubuntu1.2 [37.2 kB]
Get:83 http://archive.ubuntu.com/ubuntu/ raring-updates/main libruby1.9.1 amd64 1.9.3.194-8.1ubuntu1.2 [4,109 kB]
Get:84 http://archive.ubuntu.com/ubuntu/ raring-updates/main linux-libc-dev amd64 3.8.0-35.50 [931 kB]
Get:85 http://archive.ubuntu.com/ubuntu/ raring-updates/main unzip amd64 6.0-8ubuntu2 [192 kB]
Fetched 48.5 MB in 2s (19.2 MB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace login 1:4.1.5.1-1ubuntu4 (using .../login_1%3a4.1.5.1-1ubuntu4.1_amd64.deb) ...
Unpacking replacement login ...
Processing triggers for man-db ...
Setting up login (1:4.1.5.1-1ubuntu4.1) ...
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace libapt-pkg4.12:amd64 0.9.7.7ubuntu4 (using .../libapt-pkg4.12_0.9.7.7ubuntu6_amd64.deb) ...
Unpacking replacement libapt-pkg4.12:amd64 ...
Setting up libapt-pkg4.12:amd64 (0.9.7.7ubuntu6) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace gpgv 1.4.12-7ubuntu1 (using .../gpgv_1.4.12-7ubuntu1.3_amd64.deb) ...
Unpacking replacement gpgv ...
Processing triggers for man-db ...
Setting up gpgv (1.4.12-7ubuntu1.3) ...
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace gnupg 1.4.12-7ubuntu1 (using .../gnupg_1.4.12-7ubuntu1.3_amd64.deb) ...
Unpacking replacement gnupg ...
Processing triggers for man-db ...
Processing triggers for install-info ...
Setting up gnupg (1.4.12-7ubuntu1.3) ...
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace apt 0.9.7.7ubuntu4 (using .../apt_0.9.7.7ubuntu6_amd64.deb) ...
Unpacking replacement apt ...
Processing triggers for man-db ...
Setting up apt (0.9.7.7ubuntu6) ...
gpg: key 437D05B5: "Ubuntu Archive Automatic Signing Key " not changed
gpg: key FBB75451: "Ubuntu CD Image Automatic Signing Key " not changed
gpg: key C0B21F32: "Ubuntu Archive Automatic Signing Key (2012) " not changed
gpg: key EFE21092: "Ubuntu CD Image Automatic Signing Key (2012) " not changed
gpg: Total number processed: 4
gpg: unchanged: 4
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace libc-bin 2.17-0ubuntu5 (using .../libc-bin_2.17-0ubuntu5.1_amd64.deb) ...
Unpacking replacement libc-bin ...
Processing triggers for man-db ...
Setting up libc-bin (2.17-0ubuntu5.1) ...
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace libapt-inst1.5:amd64 0.9.7.7ubuntu4 (using .../libapt-inst1.5_0.9.7.7ubuntu6_amd64.deb) ...
Unpacking replacement libapt-inst1.5:amd64 ...
Preparing to replace libssl1.0.0:amd64 1.0.1c-4ubuntu8 (using .../libssl1.0.0_1.0.1c-4ubuntu8.2_amd64.deb) ...
Unpacking replacement libssl1.0.0:amd64 ...
Preparing to replace python3.3 3.3.1-1ubuntu5 (using .../python3.3_3.3.1-1ubuntu5.2_amd64.deb) ...
Unpacking replacement python3.3 ...
Preparing to replace libpython3.3-stdlib:amd64 3.3.1-1ubuntu5 (using .../libpython3.3-stdlib_3.3.1-1ubuntu5.2_amd64.deb) ...
Unpacking replacement libpython3.3-stdlib:amd64 ...
Preparing to replace libpython3.3-minimal:amd64 3.3.1-1ubuntu5 (using .../libpython3.3-minimal_3.3.1-1ubuntu5.2_amd64.deb) ...
Unpacking replacement libpython3.3-minimal:amd64 ...
Preparing to replace python3.3-minimal 3.3.1-1ubuntu5 (using .../python3.3-minimal_3.3.1-1ubuntu5.2_amd64.deb) ...
Unpacking replacement python3.3-minimal ...
Preparing to replace iproute 20121211-2 (using .../iproute_20121211-2ubuntu1_amd64.deb) ...
Unpacking replacement iproute ...
Preparing to replace lsb-base 4.0-0ubuntu27 (using .../lsb-base_4.0-0ubuntu27.3_all.deb) ...
Unpacking replacement lsb-base ...
Processing triggers for man-db ...
Setting up lsb-base (4.0-0ubuntu27.3) ...
(Reading database ... 36895 files and directories currently installed.)
Preparing to replace ifupdown 0.7.5ubuntu2 (using .../ifupdown_0.7.5ubuntu2.2_amd64.deb) ...
Unpacking replacement ifupdown ...
Preparing to replace libdbus-1-3:amd64 1.6.8-1ubuntu6 (using .../libdbus-1-3_1.6.8-1ubuntu6.1_amd64.deb) ...
Unpacking replacement libdbus-1-3:amd64 ...
Preparing to replace libdrm2:amd64 2.4.43-0ubuntu1 (using .../libdrm2_2.4.46-1ubuntu0.1_amd64.deb) ...
Unpacking replacement libdrm2:amd64 ...
Preparing to replace libudev1:amd64 198-0ubuntu11 (using .../libudev1_198-0ubuntu11.2_amd64.deb) ...
Unpacking replacement libudev1:amd64 ...
Preparing to replace initramfs-tools 0.103ubuntu0.7 (using .../initramfs-tools_0.103ubuntu0.8_all.deb) ...
Unpacking replacement initramfs-tools ...
Preparing to replace initramfs-tools-bin 0.103ubuntu0.7 (using .../initramfs-tools-bin_0.103ubuntu0.8_amd64.deb) ...
Unpacking replacement initramfs-tools-bin ...
Preparing to replace plymouth 0.8.8-0ubuntu6 (using .../plymouth_0.8.8-0ubuntu6.2_amd64.deb) ...
Unpacking replacement plymouth ...
Preparing to replace libplymouth2:amd64 0.8.8-0ubuntu6 (using .../libplymouth2_0.8.8-0ubuntu6.2_amd64.deb) ...
Unpacking replacement libplymouth2:amd64 ...
Preparing to replace libprocps0:amd64 1:3.3.3-2ubuntu5 (using .../libprocps0_1%3a3.3.3-2ubuntu5.3_amd64.deb) ...
Unpacking replacement libprocps0:amd64 ...
Preparing to replace dbus 1.6.8-1ubuntu6 (using .../dbus_1.6.8-1ubuntu6.1_amd64.deb) ...
Unpacking replacement dbus ...
Preparing to replace language-selector-common 0.110 (using .../language-selector-common_0.110.1_all.deb) ...
Unpacking replacement language-selector-common ...
Preparing to replace libroken18-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libroken18-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libroken18-heimdal:amd64 ...
Preparing to replace libasn1-8-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libasn1-8-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libasn1-8-heimdal:amd64 ...
Preparing to replace libgcrypt11:amd64 1.5.0-3ubuntu2.1 (using .../libgcrypt11_1.5.0-3ubuntu2.2_amd64.deb) ...
Unpacking replacement libgcrypt11:amd64 ...
Preparing to replace libgnutls26:amd64 2.12.23-1ubuntu1 (using .../libgnutls26_2.12.23-1ubuntu1.1_amd64.deb) ...
Unpacking replacement libgnutls26:amd64 ...
Preparing to replace libhcrypto4-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libhcrypto4-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libhcrypto4-heimdal:amd64 ...
Preparing to replace libheimbase1-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libheimbase1-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libheimbase1-heimdal:amd64 ...
Preparing to replace libwind0-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libwind0-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libwind0-heimdal:amd64 ...
Preparing to replace libhx509-5-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libhx509-5-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libhx509-5-heimdal:amd64 ...
Preparing to replace libkrb5-26-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libkrb5-26-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libkrb5-26-heimdal:amd64 ...
Preparing to replace libheimntlm0-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libheimntlm0-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libheimntlm0-heimdal:amd64 ...
Preparing to replace libgssapi3-heimdal:amd64 1.6~git20120403+dfsg1-2 (using .../libgssapi3-heimdal_1.6~git20120403+dfsg1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libgssapi3-heimdal:amd64 ...
Preparing to replace libsasl2-modules:amd64 2.1.25.dfsg1-6 (using .../libsasl2-modules_2.1.25.dfsg1-6ubuntu0.1_amd64.deb) ...
Unpacking replacement libsasl2-modules:amd64 ...
Preparing to replace libsasl2-2:amd64 2.1.25.dfsg1-6 (using .../libsasl2-2_2.1.25.dfsg1-6ubuntu0.1_amd64.deb) ...
Unpacking replacement libsasl2-2:amd64 ...
Preparing to replace libldap-2.4-2:amd64 2.4.31-1ubuntu2 (using .../libldap-2.4-2_2.4.31-1ubuntu2.1_amd64.deb) ...
Unpacking replacement libldap-2.4-2:amd64 ...
Preparing to replace libcurl3-gnutls:amd64 7.29.0-1ubuntu3 (using .../libcurl3-gnutls_7.29.0-1ubuntu3.4_amd64.deb) ...
Unpacking replacement libcurl3-gnutls:amd64 ...
Preparing to replace libpolkit-gobject-1-0:amd64 0.105-1ubuntu1 (using .../libpolkit-gobject-1-0_0.105-1ubuntu1.1_amd64.deb) ...
Unpacking replacement libpolkit-gobject-1-0:amd64 ...
Preparing to replace libx11-data 2:1.5.0-1ubuntu1 (using .../libx11-data_2%3a1.5.0-1ubuntu1.1_all.deb) ...
Unpacking replacement libx11-data ...
Preparing to replace libxcb1:amd64 1.8.1-2ubuntu2 (using .../libxcb1_1.8.1-2ubuntu2.1_amd64.deb) ...
Unpacking replacement libxcb1:amd64 ...
Preparing to replace libx11-6:amd64 2:1.5.0-1ubuntu1 (using .../libx11-6_2%3a1.5.0-1ubuntu1.1_amd64.deb) ...
Unpacking replacement libx11-6:amd64 ...
Preparing to replace libxext6:amd64 2:1.3.1-2 (using .../libxext6_2%3a1.3.1-2ubuntu0.13.04.1_amd64.deb) ...
Unpacking replacement libxext6:amd64 ...
Preparing to replace libxml2:amd64 2.9.0+dfsg1-4ubuntu4 (using .../libxml2_2.9.0+dfsg1-4ubuntu4.3_amd64.deb) ...
Unpacking replacement libxml2:amd64 ...
Preparing to replace curl 7.29.0-1ubuntu3.2 (using .../curl_7.29.0-1ubuntu3.4_amd64.deb) ...
Unpacking replacement curl ...
Preparing to replace libcurl3:amd64 7.29.0-1ubuntu3.2 (using .../libcurl3_7.29.0-1ubuntu3.4_amd64.deb) ...
Unpacking replacement libcurl3:amd64 ...
Preparing to replace libjpeg-turbo8:amd64 1.2.1-0ubuntu2 (using .../libjpeg-turbo8_1.2.1-0ubuntu2.13.04.1_amd64.deb) ...
Unpacking replacement libjpeg-turbo8:amd64 ...
Preparing to replace linux-image-3.8.0-19-generic 3.8.0-19.29 (using .../linux-image-3.8.0-19-generic_3.8.0-19.30_amd64.deb) ...
Done.
Unpacking replacement linux-image-3.8.0-19-generic ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.8.0-19-generic /boot/vmlinuz-3.8.0-19-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.8.0-19-generic /boot/vmlinuz-3.8.0-19-generic
Preparing to replace multiarch-support 2.17-0ubuntu5 (using .../multiarch-support_2.17-0ubuntu5.1_amd64.deb) ...
Unpacking replacement multiarch-support ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up multiarch-support (2.17-0ubuntu5.1) ...
(Reading database ... 36897 files and directories currently installed.)
Preparing to replace passwd 1:4.1.5.1-1ubuntu4 (using .../passwd_1%3a4.1.5.1-1ubuntu4.1_amd64.deb) ...
Unpacking replacement passwd ...
Processing triggers for ureadahead ...
Processing triggers for man-db ...
Setting up passwd (1:4.1.5.1-1ubuntu4.1) ...
(Reading database ... 36897 files and directories currently installed.)
Preparing to replace tzdata 2013b-1ubuntu1 (using .../tzdata_2013g-0ubuntu0.13.04_all.deb) ...
Unpacking replacement tzdata ...
Setting up tzdata (2013g-0ubuntu0.13.04) ...

Current default time zone: 'Etc/UTC'
Local time is now: Sun Feb 2 07:44:04 UTC 2014.
Universal Time is now: Sun Feb 2 07:44:04 UTC 2014.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

(Reading database ... 36897 files and directories currently installed.)
Preparing to replace apt-utils 0.9.7.7ubuntu4 (using .../apt-utils_0.9.7.7ubuntu6_amd64.deb) ...
Unpacking replacement apt-utils ...
Preparing to replace isc-dhcp-client 4.2.4-5ubuntu2 (using .../isc-dhcp-client_4.2.4-5ubuntu2.1_amd64.deb) ...
Unpacking replacement isc-dhcp-client ...
Preparing to replace isc-dhcp-common 4.2.4-5ubuntu2 (using .../isc-dhcp-common_4.2.4-5ubuntu2.1_amd64.deb) ...
Unpacking replacement isc-dhcp-common ...
Preparing to replace lsb-release 4.0-0ubuntu27 (using .../lsb-release_4.0-0ubuntu27.3_all.deb) ...
Unpacking replacement lsb-release ...
Preparing to replace rsyslog 5.8.11-2ubuntu2 (using .../rsyslog_5.8.11-2ubuntu2.2_amd64.deb) ...
Unpacking replacement rsyslog ...
Preparing to replace procps 1:3.3.3-2ubuntu5 (using .../procps_1%3a3.3.3-2ubuntu5.3_amd64.deb) ...
Unpacking replacement procps ...
Preparing to replace apt-transport-https 0.9.7.7ubuntu4 (using .../apt-transport-https_0.9.7.7ubuntu6_amd64.deb) ...
Unpacking replacement apt-transport-https ...
Preparing to replace command-not-found-data 0.3ubuntu7 (using .../command-not-found-data_0.3ubuntu7.1_amd64.deb) ...
Unpacking replacement command-not-found-data ...
Preparing to replace python3-commandnotfound 0.3ubuntu7 (using .../python3-commandnotfound_0.3ubuntu7.1_all.deb) ...
Unpacking replacement python3-commandnotfound ...
Preparing to replace command-not-found 0.3ubuntu7 (using .../command-not-found_0.3ubuntu7.1_all.deb) ...
Unpacking replacement command-not-found ...
Preparing to replace libisccc90 1:9.9.2.dfsg.P1-2ubuntu2 (using .../libisccc90_1%3a9.9.2.dfsg.P1-2ubuntu2.2_amd64.deb) ...
Unpacking replacement libisccc90 ...
Preparing to replace openssl 1.0.1c-4ubuntu8 (using .../openssl_1.0.1c-4ubuntu8.2_amd64.deb) ...
Unpacking replacement openssl ...
Preparing to replace plymouth-theme-ubuntu-text 0.8.8-0ubuntu6 (using .../plymouth-theme-ubuntu-text_0.8.8-0ubuntu6.2_amd64.deb) ...
Unpacking replacement plymouth-theme-ubuntu-text ...
Preparing to replace ubuntu-release-upgrader-core 1:0.192.10 (using .../ubuntu-release-upgrader-core_1%3a0.192.13_all.deb) ...
Unpacking replacement ubuntu-release-upgrader-core ...
Preparing to replace python3-distupgrade 1:0.192.10 (using .../python3-distupgrade_1%3a0.192.13_all.deb) ...
Unpacking replacement python3-distupgrade ...
Preparing to replace python3-update-manager 1:0.186 (using .../python3-update-manager_1%3a0.186.2_all.deb) ...
Unpacking replacement python3-update-manager ...
Preparing to replace update-manager-core 1:0.186 (using .../update-manager-core_1%3a0.186.2_all.deb) ...
Unpacking replacement update-manager-core ...
Preparing to replace apt-xapian-index 0.45ubuntu2 (using .../apt-xapian-index_0.45ubuntu2.1_all.deb) ...
Unpacking replacement apt-xapian-index ...
Preparing to replace firefox-locale-en 20.0+build1-0ubuntu2 (using .../firefox-locale-en_26.0+build2-0ubuntu0.13.04.2_amd64.deb) ...
Unpacking replacement firefox-locale-en ...
Preparing to replace python2.7 2.7.4-2ubuntu3 (using .../python2.7_2.7.4-2ubuntu3.2_amd64.deb) ...
Unpacking replacement python2.7 ...
Preparing to replace libpython2.7-stdlib:amd64 2.7.4-2ubuntu3 (using .../libpython2.7-stdlib_2.7.4-2ubuntu3.2_amd64.deb) ...
Unpacking replacement libpython2.7-stdlib:amd64 ...
Preparing to replace libpython2.7-minimal:amd64 2.7.4-2ubuntu3 (using .../libpython2.7-minimal_2.7.4-2ubuntu3.2_amd64.deb) ...
Unpacking replacement libpython2.7-minimal:amd64 ...
Preparing to replace python2.7-minimal 2.7.4-2ubuntu3 (using .../python2.7-minimal_2.7.4-2ubuntu3.2_amd64.deb) ...
Unpacking replacement python2.7-minimal ...
Preparing to replace ruby1.8-dev 1.8.7.358-7ubuntu1.1 (using .../ruby1.8-dev_1.8.7.358-7ubuntu1.2_amd64.deb) ...
Unpacking replacement ruby1.8-dev ...
Preparing to replace ruby1.8 1.8.7.358-7ubuntu1.1 (using .../ruby1.8_1.8.7.358-7ubuntu1.2_amd64.deb) ...
Unpacking replacement ruby1.8 ...
Preparing to replace libruby1.8 1.8.7.358-7ubuntu1.1 (using .../libruby1.8_1.8.7.358-7ubuntu1.2_amd64.deb) ...
Unpacking replacement libruby1.8 ...
Preparing to replace ruby1.9.1 1.9.3.194-8.1ubuntu1.1 (using .../ruby1.9.1_1.9.3.194-8.1ubuntu1.2_amd64.deb) ...
Unpacking replacement ruby1.9.1 ...
Preparing to replace libruby1.9.1 1.9.3.194-8.1ubuntu1.1 (using .../libruby1.9.1_1.9.3.194-8.1ubuntu1.2_amd64.deb) ...
Unpacking replacement libruby1.9.1 ...
Preparing to replace linux-libc-dev:amd64 3.8.0-33.48 (using .../linux-libc-dev_3.8.0-35.50_amd64.deb) ...
Unpacking replacement linux-libc-dev:amd64 ...
Preparing to replace nginx-common 1.4.3-2~raring0 (using .../nginx-common_1.4.4-4~raring_all.deb) ...
Unpacking replacement nginx-common ...
Preparing to replace nginx-full 1.4.3-2~raring0 (using .../nginx-full_1.4.4-4~raring_amd64.deb) ...
Unpacking replacement nginx-full ...
Preparing to replace unzip 6.0-8ubuntu1 (using .../unzip_6.0-8ubuntu2_amd64.deb) ...
Unpacking replacement unzip ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Processing triggers for ufw ...
Processing triggers for mime-support ...
Setting up libapt-inst1.5:amd64 (0.9.7.7ubuntu6) ...
Setting up libssl1.0.0:amd64 (1.0.1c-4ubuntu8.2) ...
Setting up libpython3.3-minimal:amd64 (3.3.1-1ubuntu5.2) ...
Setting up python3.3-minimal (3.3.1-1ubuntu5.2) ...
Setting up libpython3.3-stdlib:amd64 (3.3.1-1ubuntu5.2) ...
Setting up python3.3 (3.3.1-1ubuntu5.2) ...
Setting up iproute (20121211-2ubuntu1) ...
Setting up ifupdown (0.7.5ubuntu2.2) ...
Setting up libdbus-1-3:amd64 (1.6.8-1ubuntu6.1) ...
Setting up libdrm2:amd64 (2.4.46-1ubuntu0.1) ...
Setting up libudev1:amd64 (198-0ubuntu11.2) ...
Setting up initramfs-tools-bin (0.103ubuntu0.8) ...
Setting up initramfs-tools (0.103ubuntu0.8) ...
update-initramfs: deferring update (trigger activated)
Setting up libplymouth2:amd64 (0.8.8-0ubuntu6.2) ...
Setting up plymouth (0.8.8-0ubuntu6.2) ...
update-initramfs: deferring update (trigger activated)
Setting up libprocps0:amd64 (1:3.3.3-2ubuntu5.3) ...
Setting up dbus (1.6.8-1ubuntu6.1) ...
Setting up language-selector-common (0.110.1) ...
Setting up libroken18-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libasn1-8-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libgcrypt11:amd64 (1.5.0-3ubuntu2.2) ...
Setting up libgnutls26:amd64 (2.12.23-1ubuntu1.1) ...
Setting up libhcrypto4-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libheimbase1-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libwind0-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libhx509-5-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libkrb5-26-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libheimntlm0-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libgssapi3-heimdal:amd64 (1.6~git20120403+dfsg1-2ubuntu0.13.04.1) ...
Setting up libsasl2-2:amd64 (2.1.25.dfsg1-6ubuntu0.1) ...
Setting up libsasl2-modules:amd64 (2.1.25.dfsg1-6ubuntu0.1) ...
Setting up libldap-2.4-2:amd64 (2.4.31-1ubuntu2.1) ...
Setting up libcurl3-gnutls:amd64 (7.29.0-1ubuntu3.4) ...
Setting up libpolkit-gobject-1-0:amd64 (0.105-1ubuntu1.1) ...
Setting up libx11-data (2:1.5.0-1ubuntu1.1) ...
Setting up libxcb1:amd64 (1.8.1-2ubuntu2.1) ...
Setting up libx11-6:amd64 (2:1.5.0-1ubuntu1.1) ...
Setting up libxext6:amd64 (2:1.3.1-2ubuntu0.13.04.1) ...
Setting up libxml2:amd64 (2.9.0+dfsg1-4ubuntu4.3) ...
Setting up libcurl3:amd64 (7.29.0-1ubuntu3.4) ...
Setting up curl (7.29.0-1ubuntu3.4) ...
Setting up libjpeg-turbo8:amd64 (1.2.1-0ubuntu2.13.04.1) ...
Setting up linux-image-3.8.0-19-generic (3.8.0-19.30) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled
(3.8.0-19.29 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(3.8.0-19.29 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.8.0-19-generic /boot/vmlinuz-3.8.0-19-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.8.0-19-generic /boot/vmlinuz-3.8.0-19-generic
update-initramfs: Generating /boot/initrd.img-3.8.0-19-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.8.0-19-generic /boot/vmlinuz-3.8.0-19-generic
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-3.8.0-19-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Setting up apt-utils (0.9.7.7ubuntu6) ...
Setting up isc-dhcp-common (4.2.4-5ubuntu2.1) ...
Setting up isc-dhcp-client (4.2.4-5ubuntu2.1) ...
Setting up lsb-release (4.0-0ubuntu27.3) ...
Setting up rsyslog (5.8.11-2ubuntu2.2) ...
Skipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd
rsyslog stop/waiting
rsyslog start/running, process 25846
Setting up procps (1:3.3.3-2ubuntu5.3) ...
procps stop/waiting
Setting up apt-transport-https (0.9.7.7ubuntu6) ...
Setting up command-not-found-data (0.3ubuntu7.1) ...
Setting up python3-commandnotfound (0.3ubuntu7.1) ...
Setting up command-not-found (0.3ubuntu7.1) ...
Setting up libisccc90 (1:9.9.2.dfsg.P1-2ubuntu2.2) ...
Setting up openssl (1.0.1c-4ubuntu8.2) ...
Setting up apt-xapian-index (0.45ubuntu2.1) ...
Setting up firefox-locale-en (26.0+build2-0ubuntu0.13.04.2) ...
Setting up libpython2.7-minimal:amd64 (2.7.4-2ubuntu3.2) ...
Setting up python2.7-minimal (2.7.4-2ubuntu3.2) ...
Setting up libpython2.7-stdlib:amd64 (2.7.4-2ubuntu3.2) ...
Setting up python2.7 (2.7.4-2ubuntu3.2) ...
Setting up libruby1.8 (1.8.7.358-7ubuntu1.2) ...
Setting up ruby1.8-dev (1.8.7.358-7ubuntu1.2) ...
Setting up ruby1.8 (1.8.7.358-7ubuntu1.2) ...
Setting up libruby1.9.1 (1.9.3.194-8.1ubuntu1.2) ...
Setting up ruby1.9.1 (1.9.3.194-8.1ubuntu1.2) ...
Setting up linux-libc-dev:amd64 (3.8.0-35.50) ...
Setting up nginx-common (1.4.4-4~raring) ...
Installing new version of config file /etc/init.d/nginx ...
Installing new version of config file /etc/nginx/proxy_params ...
Installing new version of config file /etc/nginx/sites-available/default ...
Setting up unzip (6.0-8ubuntu2) ...
Processing triggers for ureadahead ...
Setting up nginx-full (1.4.4-4~raring) ...
Setting up plymouth-theme-ubuntu-text (0.8.8-0ubuntu6.2) ...
update-initramfs: deferring update (trigger activated)
Setting up python3-distupgrade (1:0.192.13) ...
Setting up python3-update-manager (1:0.186.2) ...
Setting up ubuntu-release-upgrader-core (1:0.192.13) ...
Setting up update-manager-core (1:0.186.2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.8.0-19-generic
root@skilldate:~# history
1 exit
2 cd /var/lib/dokku/plugins
3 git clone https://github.com/Kloadut/dokku-pg-plugin.git postgresql
4 dokku plugins-install
5 dokku help
6 history
7 dokku postgresql:create skilldate
8 apt-get update
9 dokku postgresql:create skilldate
10 apt-get update
11 dokku postgresql:create skilldate
12 apt-get update
13 dokku postgresql:create skilldate
14 reboot
15 dokku postgresql:create skilldate
16 ls
17 sudo apt-get update
18 sudo apt-get upgrade
19 history
root@skilldate:~# dokku postgresql:create skilldate
Your docker version is too old, please update it
root@skilldate:~#
I tried without sudo and got this:

Reading state information... Done
The following packages have been kept back:
linux-image-virtual lxc-docker
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root@skilldate:~#
AHA apt-get dist-upgrade worked.
Submit an Answer